This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1311229 - python-ceilometerclient: Provide a Python 3 subpackage
python-ceilometerclient: Provide a Python 3 subpackage
Status: MODIFIED
Product: Fedora
Classification: Fedora
Component: python-ceilometerclient (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Ruzicka
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3
  Show dependency treegraph
 
Reported: 2016-02-23 11:29 EST by Tomas Orsava
Modified: 2016-07-26 00:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: python2-ceilometerclient-2.3.0-3.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Orsava 2016-02-23 11:29:37 EST
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Petr Viktorin 2016-04-19 09:14:08 EDT
Jakub, do you need any help with switching to Python 3?
Comment 2 Jakub Ruzicka 2016-05-13 10:50:15 EDT
I plan to provide all python-*client py3 subpackages next week(s).
Comment 3 Tomas Orsava 2016-05-13 11:49:29 EDT
Hi Jakub, that will be greatly appreciated!

If you'd like some information on the porting process, there is a Python RPM Porting Guide available:

http://python-rpm-porting.readthedocs.io/
Comment 4 Jakub Ruzicka 2016-06-06 09:24:37 EDT
Sorry for the delay, I insisted on testing in RDO trunk first which took me some time to get hang of.

Here is my first attempt: http://review.rdoproject.org/r/1305

Please feel free to comment on the review, github account is used. Once this review is merged and tested, I'll use it as a template to port all the other *client libraries and sync to Fedora once it looks working.
Comment 5 Tomas Orsava 2016-06-06 10:06:42 EDT
Hi!
Absolutely don't worry about the delay, we are grateful you're taking the time.

I commented on the review, so feel free to contact me with any questions!
Have a great day!
Comment 6 Jakub Ruzicka 2016-07-18 08:32:41 EDT
Thanks for your reviews, python2-ceilometerclient-2.3.0-3.fc25 is now in rawhide with py3 support.
Comment 7 Jan Kurik 2016-07-26 00:27:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Note You need to log in before you can comment on or make changes to this bug.